## com.sun.jersey.core.spi.component.ioc
Interface IoCProxiedComponentProvider

All Superinterfaces:
  ComponentProvider, IoCComponentProvider

    public interface IoCProxiedComponentProvider

extends IoCComponentProvider

An IoC-proxied component provider.

The component is fully managed by the runtime but when an instance is created the underlying IoC framework is deferred to for creating a proxy of the component instance.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`java.lang.Object` `getInstance()` This method will not be invoked since an instance is created by the runtime, and that instance may be proxied via the `proxy(java.lang.Object)` method.
`java.lang.Object` `proxy(java.lang.Object o)` Proxy a component instance.

Method Detail

### getInstance

    java.lang.Object getInstance()

  This method will not be invoked since an instance is created by the runtime, and that instance may be proxied via the `proxy(java.lang.Object)` method.

  Specified by:
    `getInstance` in interface `ComponentProvider`
  Returns:
    the instance.

### proxy

    java.lang.Object proxy(java.lang.Object o)

  Proxy a component instance.

  Parameters:
    `o` - the component instance to proxy.
  Returns:
    the proxied instance.

Copyright © 2017 Oracle Corporation. All Rights Reserved.